## python-treetime 0.0+20170607

=== requirements.txt ===
numpy>=1.10.4
scipy>=0.16.1
biopython>=1.66
pandas>=0.17.1

=== debian/changelog ===
python-treetime (0.0+20170607-1) unstable; urgency=medium

  * Initial release (Closes: #864823)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Jun 2017 17:20:26 +0200

=== debian/control ===
Source: python-treetime
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-setuptools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-treetime.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-treetime.git
Homepage: https://github.com/neherlab/treetime
X-Python-Version: >= 2.6

Package: python-treetime
Architecture: all
Section: python
Depends: ${python:Depends},
         ${misc:Depends},
         python-numpy,
         python-scipy,
         python-biopython,
         python-pandas
Description: inference of time stamped phylogenies and ancestral reconstruction
 TreeTime provides routines for ancestral sequence reconstruction and the
 maximum likelihoo inference of molecular-clock phylogenies, i.e., a tree
 where all branches are scaled such that the locations of terminal nodes
 correspond to their sampling times and internal nodes are placed at the
 most likely time of divergence.
 .
 TreeTime aims at striking a compromise between sophisticated
 probabilistic models of evolution and fast heuristics. It implements GTR
 models of ancestral inference and branch length optimization, but takes
 the tree topology as given. To optimize the likelihood of time-scaled
 phylogenies, treetime uses an iterative approach that first infers
 ancestral sequences given the branch length of the tree, then optimizes
 the positions of unconstraine d nodes on the time axis, and then repeats
 this cycle. The only topology optimization are (optional) resolution of
 polytomies in a way that is most (approximately) consistent with the
 sampling time constraints on the tree. The package is designed to be
 used as a stand-alone tool or as a library used in larger phylogenetic
 analysis workflows.
 .
 Features
  * ancestral sequence reconstruction (marginal and joint maximum
    likelihood)
  * molecular clock tree inference (marginal and joint maximum
    likelihood)
  * inference of GTR models
  * rerooting to obtain best root-to-tip regression
  * auto-correlated relaxed molecular clock (with normal prior)

Package: python-treetime-examples
Architecture: all
Section: python
Depends: ${python:Depends},
         ${misc:Depends},
         python-treetime
Description: inference of time stamped phylogenies and ancestral reconstruction (example)
 TreeTime provides routines for ancestral sequence reconstruction and the
 maximum likelihoo inference of molecular-clock phylogenies, i.e., a tree
 where all branches are scaled such that the locations of terminal nodes
 correspond to their sampling times and internal nodes are placed at the
 most likely time of divergence.
 .
 TreeTime aims at striking a compromise between sophisticated
 probabilistic models of evolution and fast heuristics. It implements GTR
 models of ancestral inference and branch length optimization, but takes
 the tree topology as given. To optimize the likelihood of time-scaled
 phylogenies, treetime uses an iterative approach that first infers
 ancestral sequences given the branch length of the tree, then optimizes
 the positions of unconstraine d nodes on the time axis, and then repeats
 this cycle. The only topology optimization are (optional) resolution of
 polytomies in a way that is most (approximately) consistent with the
 sampling time constraints on the tree. The package is designed to be
 used as a stand-alone tool or as a library used in larger phylogenetic
 analysis workflows.
 .
 Features
  * ancestral sequence reconstruction (marginal and joint maximum
    likelihood)
  * molecular clock tree inference (marginal and joint maximum
    likelihood)
  * inference of GTR models
  * rerooting to obtain best root-to-tip regression
  * auto-correlated relaxed molecular clock (with normal prior)
 .
 This package contains example scripts and data to test the usage of
 treetime.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export PYBUILD_NAME = treetime

%:
	dh $@ --with python2

override_dh_install:
	dh_install
	find debian/*/usr/share/treetime -name __init__.py -delete
	find debian/*/usr/share/treetime -name setup.py -delete
	## enable dh_python finding dependency
	##find debian/*/usr/share/treetime -name "*.py" -exec sed -i 's:#!/usr/bin/env python:#!/usr/bin/python:' \{\} \;
	find debian/*/usr/lib/*/dist-packages/treetime -name "*.py" -exec sed -i 's:/usr/local/bin/python:/usr/bin/python:' \{\} \;

get-orig-source:
	. debian/get-orig-source

## python-treetime 0.2.4

=== requirements.txt ===
numpy>=1.10.4
scipy>=0.16.1
biopython>=1.66
pandas>=0.17.1
matplotlib>=2.0

=== debian/changelog ===
python-treetime (0.2.4-1) unstable; urgency=medium

  * d/watch: Point to github since upstream has started using release tags
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * Testsuite: autopkgtest-pkg-python
  * Delete get-orig-source target

 -- Andreas Tille <tille@debian.org>  Mon, 16 Apr 2018 14:47:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python-all,
                python-setuptools
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-treetime.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/python-treetime.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/python-treetime
+Vcs-Git: https://salsa.debian.org/med-team/python-treetime.git
 Homepage: https://github.com/neherlab/treetime
 X-Python-Version: >= 2.6

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,3 @@
 	## enable dh_python finding dependency
 	##find debian/*/usr/share/treetime -name "*.py" -exec sed -i 's:#!/usr/bin/env python:#!/usr/bin/python:' \{\} \;
 	find debian/*/usr/lib/*/dist-packages/treetime -name "*.py" -exec sed -i 's:/usr/local/bin/python:/usr/bin/python:' \{\} \;
-
-get-orig-source:
-	. debian/get-orig-source

## python-treetime 0.5.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/TreeTime.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/TreeTime.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/TreeTime"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/TreeTime"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
python-treetime (0.5.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 25 Jan 2019 18:21:37 +0100

python-treetime (0.5.2-2) unstable; urgency=medium

  * Re-upload due to accidental removal of the package (see #916906)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Dec 2018 14:03:32 +0100

python-treetime (0.5.2-1) unstable; urgency=medium

  * Add Emma Hodcroft to copyright
    Closes: #909784
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 05 Dec 2018 12:00:16 +0100

python-treetime (0.5.0-1) unstable; urgency=medium

  * New upstream version
  * Drop ancient X-Python-Version field
  * Switch to Python3
  * Standards-Version: 4.2.1
  * Build-Depends: python3-biopython, python3-numpy, python3-pandas,
    python3-scipy
  * Recommends: python3-matplotlib

 -- Andreas Tille <tille@debian.org>  Thu, 27 Sep 2018 14:45:27 +0200

=== debian/control ===
Source: python-treetime
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3-all,
               python3-biopython,
               python3-numpy,
               python3-pandas,
               python3-scipy,
               python3-setuptools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/python-treetime
Vcs-Git: https://salsa.debian.org/med-team/python-treetime.git
Homepage: https://github.com/neherlab/treetime

Package: python3-treetime
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-numpy,
         python3-scipy,
         python3-biopython,
         python3-pandas
Recommends: python3-matplotlib
Description: inference of time stamped phylogenies and ancestral reconstruction (Python 3)
 TreeTime provides routines for ancestral sequence reconstruction and the
 maximum likelihoo inference of molecular-clock phylogenies, i.e., a tree
 where all branches are scaled such that the locations of terminal nodes
 correspond to their sampling times and internal nodes are placed at the
 most likely time of divergence.
 .
 TreeTime aims at striking a compromise between sophisticated
 probabilistic models of evolution and fast heuristics. It implements GTR
 models of ancestral inference and branch length optimization, but takes
 the tree topology as given. To optimize the likelihood of time-scaled
 phylogenies, treetime uses an iterative approach that first infers
 ancestral sequences given the branch length of the tree, then optimizes
 the positions of unconstraine d nodes on the time axis, and then repeats
 this cycle. The only topology optimization are (optional) resolution of
 polytomies in a way that is most (approximately) consistent with the
 sampling time constraints on the tree. The package is designed to be
 used as a stand-alone tool or as a library used in larger phylogenetic
 analysis workflows.
 .
 Features
  * ancestral sequence reconstruction (marginal and joint maximum
    likelihood)
  * molecular clock tree inference (marginal and joint maximum
    likelihood)
  * inference of GTR models
  * rerooting to obtain best root-to-tip regression
  * auto-correlated relaxed molecular clock (with normal prior)
 .
 This package provides the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export PYBUILD_NAME = treetime

EXECDIR=debian/python3-$(PYBUILD_NAME)/usr/share/treetime

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	## enable dh_python finding dependency
	find debian -name "*.py" -exec sed -i '1s:/usr/local/bin/python:/usr/bin/python:' \{\} \;

=== debian/watch ===
version=4

https://github.com/neherlab/treetime/releases .*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## python-treetime 0.6.2

=== debian/changelog ===
python-treetime (0.6.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Fri, 02 Aug 2019 19:53:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-biopython,
@@ -12,7 +12,7 @@
                python3-pandas,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-treetime
 Vcs-Git: https://salsa.debian.org/med-team/python-treetime.git
 Homepage: https://github.com/neherlab/treetime

## python-treetime 0.7.1

=== docs/requirements.txt ===
recommonmark>=0.5.0
sphinx-argparse>=0.2.5

=== debian/changelog ===
python-treetime (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Set field Upstream-Name in debian/copyright.
  * Adjusted d/watch to allow omission of "v" prefix

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Jan 2020 21:23:53 +0100

python-treetime (0.7.0~beta.1-1) UNRELEASED; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fixed indent of autotest in patch
    https://github.com/neherlab/treetime/issues/102
  * Adjusted d/watch to prefer version without "-beta"


 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Jan 2020 20:52:28 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-pandas,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-treetime
 Vcs-Git: https://salsa.debian.org/med-team/python-treetime.git
 Homepage: https://github.com/neherlab/treetime

## python-treetime 0.7.5

=== debian/changelog ===
python-treetime (0.7.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * d/control: Added "Rules-Requires-Root: no"

 -- Steffen Moeller <moeller@debian.org>  Sun, 03 May 2020 20:08:48 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,11 @@
                python3-pandas,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-treetime
 Vcs-Git: https://salsa.debian.org/med-team/python-treetime.git
 Homepage: https://github.com/neherlab/treetime
+Rules-Requires-Root: no
 
 Package: python3-treetime
 Architecture: all

## python-treetime 0.8.1

=== debian/changelog ===
python-treetime (0.8.1-1) unstable; urgency=medium

  * Update changelog
  * New upstream version 0.8.1
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 09 Jan 2021 16:16:56 +0530

python-treetime (0.8.0-1) unstable; urgency=medium

  * Team Upload.
  * Add autopkgtests
  * Multi-orig tarball for testing data
  * New upstream version 0.8.0
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 17 Nov 2020 19:42:58 +0530

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-treetime
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <npatra974@gmail.com>
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-biopython,
@@ -12,7 +12,7 @@
                python3-pandas,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-treetime
 Vcs-Git: https://salsa.debian.org/med-team/python-treetime.git
 Homepage: https://github.com/neherlab/treetime

=== debian/watch ===
version=4
opts="uversionmangle=s/-beta/~beta/" \
https://github.com/neherlab/treetime/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-treetime 0.8.6

=== debian/changelog ===
python-treetime (0.8.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 19 Feb 2022 08:39:09 +0100

python-treetime (0.8.5-1) unstable; urgency=medium

  * New upstream version
  * Enhance watch file
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jan 2022 20:06:58 +0100

python-treetime (0.8.4-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Nilesh Patra ]
  * d/t/get-test-data: Add script to get test data
  * New upstream version 0.8.4
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 06 Oct 2021 13:27:53 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-treetime
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <npatra974@gmail.com>
+Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -11,8 +11,9 @@
                python3-numpy,
                python3-pandas,
                python3-scipy,
-               python3-setuptools
-Standards-Version: 4.5.1
+               python3-setuptools,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-treetime
 Vcs-Git: https://salsa.debian.org/med-team/python-treetime.git
 Homepage: https://github.com/neherlab/treetime

## python-treetime 0.9.2

=== debian/changelog ===
python-treetime (0.9.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Aug 2022 17:47:36 +0200

python-treetime (0.9.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jul 2022 22:02:29 +0200

python-treetime (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.0
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 28 May 2022 13:38:36 +0530

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-scipy,
                python3-setuptools,
                debhelper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-treetime
 Vcs-Git: https://salsa.debian.org/med-team/python-treetime.git
 Homepage: https://github.com/neherlab/treetime

## python-treetime 0.9.4

=== Makefile ===
-include .env.example
-include .env

export UID=$(shell id -u)
export GID=$(shell id -g)

export DOCS_CONTAINER_NAME=treetime-docs

SHELL := bash
.ONESHELL:

.PHONY: docs docker-docs

docs:
	@$(MAKE) --no-print-directory -C docs/ html

docs-clean:
	rm -rf docs/build

docker-docs:
	set -euox

	docker build -t $${DOCS_CONTAINER_NAME} \
	--network=host \
	--build-arg UID=$(shell id -u) \
	--build-arg GID=$(shell id -g) \
	docs/

	docker run -it --rm \
	--name=$${DOCS_CONTAINER_NAME}-$(shell date +%s) \
	--init \
	--user=$(shell id -u):$(shell id -g) \
	--volume=$(shell pwd):/home/user/src \
	--publish=8000:8000 \
	--workdir=/home/user/src \
	--env 'TERM=xterm-256colors' \
	$${DOCS_CONTAINER_NAME}

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

autobuild:
	sphinx-autobuild --host=0.0.0.0 --port=8000 "$(SOURCEDIR)" "$(BUILDDIR)/html"

=== debian/changelog ===
python-treetime (0.9.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 21:03:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-treetime
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,7 @@
 	dh_install
 	## enable dh_python finding dependency
 	find debian -name "*.py" -exec sed -i '1s:/usr/local/bin/python:/usr/bin/python:' \{\} \;
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf phylo_treetime.egg-info

## python-treetime 0.11.1

=== debian/changelog ===
python-treetime (0.11.1-1) unstable; urgency=medium

  [ Ananthu C V ]
  * Team upload
  * New upstream version 0.11.1
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Create a patch to remove warning on shell script by adding shebang

  [ Andreas Tille ]
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Ananthu C V <weepingclown@disroot.org>  Wed, 01 Nov 2023 01:53:29 +0530

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-biopython,
                python3-numpy,
@@ -13,7 +13,7 @@
                python3-scipy,
                python3-setuptools,
                debhelper
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-treetime
 Vcs-Git: https://salsa.debian.org/med-team/python-treetime.git
 Homepage: https://github.com/neherlab/treetime

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 EXECDIR=debian/python3-$(PYBUILD_NAME)/usr/share/treetime
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_install:
 	dh_install

## python-treetime 0.11.4

=== debian/changelog ===
python-treetime (0.11.4-1) unstable; urgency=medium

  * New upstream version 0.11.4
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.
  * syntaxwarning.patch: fix SyntaxWarning. (Closes: #1086965)

 -- Étienne Mollier <emollier@debian.org>  Sat, 09 Nov 2024 21:48:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: python-treetime
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -13,7 +14,7 @@
                python3-scipy,
                python3-setuptools,
                debhelper
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-treetime
 Vcs-Git: https://salsa.debian.org/med-team/python-treetime.git
 Homepage: https://github.com/neherlab/treetime

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-matplotlib
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="uversionmangle=s/-beta/~beta/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/neherlab/treetime/tags  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
